# Jobs

## Get job details

> Returns a streamable file that contains a job’s log. You can read the log file for completed or aborted jobs to review results. You can also stream the log file for a running job to view logs in real time.

```json
{"openapi":"3.0.0","info":{"title":"Flosum Backup API Service","version":"4.6.12-test.0"},"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"Bearer <access_token>"}},"schemas":{"StreamableFile":{"type":"object","properties":{}},"ValidationExceptionDto":{"type":"object","properties":{"error":{"type":"string","nullable":true},"message":{"type":"array","items":{"type":"string"}},"statusCode":{"type":"number","enum":[100,101,102,103,200,201,202,203,204,205,206,300,301,302,303,304,307,308,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,421,422,424,428,429,500,501,502,503,504,505]}},"required":["error","message","statusCode"]},"NotFoundExceptionDto":{"type":"object","properties":{"message":{"type":"string"},"error":{"type":"string","nullable":true},"statusCode":{"type":"number","enum":[100,101,102,103,200,201,202,203,204,205,206,300,301,302,303,304,307,308,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,421,422,424,428,429,500,501,502,503,504,505]}},"required":["message","error","statusCode"]}}},"paths":{"/api/v1/connections/{connectionId}/jobs/{id}/logs/details":{"get":{"operationId":"JobsController_getLogsDetails","summary":"Get job details","description":"Returns a streamable file that contains a job’s log. You can read the log file for completed or aborted jobs to review results. You can also stream the log file for a running job to view logs in real time.","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"number"}},{"name":"connectionId","required":true,"in":"path","schema":{"type":"number"}}],"responses":{"200":{"description":"Returns the streamable file containing job logs","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StreamableFile"}}}},"400":{"description":"Incorrect request data is provided. For example, id or connectionId isn't a valid number","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationExceptionDto"}}}},"404":{"description":"Connection or job not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundExceptionDto"}}}}},"tags":["Jobs"]}}}}
```

## Get job progress

> Returns information about job progress steps. Can be used for completed or aborted jobs to review results, or for running jobs to view runtime progress

```json
{"openapi":"3.0.0","info":{"title":"Flosum Backup API Service","version":"4.6.12-test.0"},"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"Bearer <access_token>"}},"schemas":{"ProgressStepsResponseDto":{"type":"object","properties":{"objectName":{"type":"string","description":"Object name"},"status":{"type":"string","description":"Status of progress step"},"backupSuccessCount":{"type":"number","description":"Number of successfully backed up records."},"removeSuccessCount":{"type":"number","description":"Number of successfully removed records."},"successCount":{"type":"number","description":"Success count for restore-request/import"},"failedCount":{"type":"number","description":"Failed count for import"},"restoreSuccessCount":{"type":"number","description":"Number of successfully restored records."},"restoreFailedCount":{"type":"number","description":"Number of records that failed to restore."},"updateSuccessCount":{"type":"number","description":"Updated number of successfully restored records."},"updateFailedCount":{"type":"number","description":"Updated number of records that failed to restore."},"searchSuccessCount":{"type":"number","description":"Number of records found in search."}},"required":["objectName","status"]},"ValidationExceptionDto":{"type":"object","properties":{"error":{"type":"string","nullable":true},"message":{"type":"array","items":{"type":"string"}},"statusCode":{"type":"number","enum":[100,101,102,103,200,201,202,203,204,205,206,300,301,302,303,304,307,308,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,421,422,424,428,429,500,501,502,503,504,505]}},"required":["error","message","statusCode"]},"NotFoundExceptionDto":{"type":"object","properties":{"message":{"type":"string"},"error":{"type":"string","nullable":true},"statusCode":{"type":"number","enum":[100,101,102,103,200,201,202,203,204,205,206,300,301,302,303,304,307,308,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,421,422,424,428,429,500,501,502,503,504,505]}},"required":["message","error","statusCode"]}}},"paths":{"/api/v1/connections/{connectionId}/jobs/{id}/logs/progress":{"get":{"operationId":"JobsController_getLogsProgress","summary":"Get job progress","description":"Returns information about job progress steps. Can be used for completed or aborted jobs to review results, or for running jobs to view runtime progress","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"number"}},{"name":"connectionId","required":true,"in":"path","schema":{"type":"number"}}],"responses":{"200":{"description":"Returns a list of work completed for every processed object. The response structure may differ based on the specific work performed in the job","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ProgressStepsResponseDto"}}}}},"400":{"description":"Incorrect request data is provided. For example, id or connectionId isn't a valid number","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationExceptionDto"}}}},"404":{"description":"Connection or job not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundExceptionDto"}}}}},"tags":["Jobs"]}}}}
```

## Abort backup/archive job

> Aborts the backup or archive job

```json
{"openapi":"3.0.0","info":{"title":"Flosum Backup API Service","version":"4.6.12-test.0"},"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"Bearer <access_token>"}},"schemas":{"AbortJobResponseDto":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"]},"ValidationExceptionDto":{"type":"object","properties":{"error":{"type":"string","nullable":true},"message":{"type":"array","items":{"type":"string"}},"statusCode":{"type":"number","enum":[100,101,102,103,200,201,202,203,204,205,206,300,301,302,303,304,307,308,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,421,422,424,428,429,500,501,502,503,504,505]}},"required":["error","message","statusCode"]},"NotFoundExceptionDto":{"type":"object","properties":{"message":{"type":"string"},"error":{"type":"string","nullable":true},"statusCode":{"type":"number","enum":[100,101,102,103,200,201,202,203,204,205,206,300,301,302,303,304,307,308,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,421,422,424,428,429,500,501,502,503,504,505]}},"required":["message","error","statusCode"]}}},"paths":{"/api/v1/connections/{connectionId}/jobs/{id}/abort/backup":{"patch":{"operationId":"JobsController_abortBackup","summary":"Abort backup/archive job","description":"Aborts the backup or archive job","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"number"}},{"name":"connectionId","required":true,"in":"path","schema":{"type":"number"}}],"responses":{"200":{"description":"Aborts the backup or archive job","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AbortJobResponseDto"}}}},"400":{"description":"Incorrect request data is provided. For example, connectionId isn't a valid positive number","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationExceptionDto"}}}},"404":{"description":"Connection not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundExceptionDto"}}}}},"tags":["Jobs"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.flosum.com/api/api-pt-br/api-de-backup-e-arquivamento/jobs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
